# Created by pyp2rpm-3.3.2
%global pypi_name adafruit-circuitpython-dht

Name:           python-%{pypi_name}
Version:        3.4.2
Release:        1%{?dist}
Summary:        CircuitPython support for DHT11 and DHT22 type temperature/humidity devices

License:        MIT
URL:            https://github.com/adafruit/Adafruit_CircuitPython_DHT
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(sphinx)

%description
Introduction .. image :: CircuitPython support for the DHT11 and DHT22
temperature and humidity devices.Dependencies

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(adafruit-blinka)
%description -n python3-%{pypi_name}
Introduction .. image :: CircuitPython support for the DHT11 and DHT22
temperature and humidity devices.Dependencies

%package -n python-%{pypi_name}-doc
Summary:        adafruit-circuitpython-dht documentation
%description -n python-%{pypi_name}-doc
Documentation for adafruit-circuitpython-dht

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs 
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/adafruit_dht.py
%{python3_sitelib}/adafruit_circuitpython_dht-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE

%changelog
* Thu Jul 16 2020 mockbuilder - 3.4.2-1
- Initial package.